Please merge gnu-efi 3.0i-2(main) from debian squeeze(main)

Bug #488797 reported by Bhavani Shankar on 2009-11-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnu-efi (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnu-efi

Debian Changes:-

 gnu-efi (3.0i-2) unstable; urgency=low

   * Disable optimization for x64 builds; it looks very much like there is an
     issue between the call wrapper and optimizations, leading to interesting
     and subtle breakages at runtime.

 -- Julien BLACHE <email address hidden> Wed, 11 Nov 2009 10:16:08 +0100
gnu-efi (3.0i-1) unstable; urgency=low

   * New upstream release.
     + Support for FreeBSD (closes: #535696).

   * debian/control:
     + Make kfreebsd-amd64 a supported architecture.
     + Build-depend on gcc-multilib on kfreebsd-amd64 too.
   * debian/rules:
     + Add support for both kfreebsd-{i386,amd64}.
     + Install FreeBSD x86_64 linker script on kfreebsd-amd64.
     + Do not install ia64-specific headers on i386/amd64, do not install
       i386/amd64-specific headers on ia64.

 -- Julien BLACHE <email address hidden> Sat, 12 Sep 2009 11:38:57 +0200
gnu-efi (3.0h-1) unstable; urgency=low

   * Clean up and recover from a broken NMU.

   * debian/control:
     + Bump Standards-Version to 3.8.3 (no changes).
     + Added myself as uploader.

   * gnuefi/elf_ia32_efi.lds:
     + Fix linker script for elf-i386 (closes: #545202).

 -- Julien BLACHE <email address hidden> Fri, 11 Sep 2009 18:26:22 +0200
gnu-efi (3.0h-0.1) unstable; urgency=low

   * NMU
   * New upstream version.
   * Bump to Standards-Version 3.8.2.
   * Add watch file.
   * Conflict with libc6-i386 (<= 2.9-18). closes: #533003.

 -- Clint Adams <email address hidden> Sun, 02 Aug 2009 12:06:40 -0400

Related branches

Bhavani Shankar (bhavi) wrote :
Changed in gnu-efi (Ubuntu):
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

Can you use $(OPTIM) instead of -O2?

Colin Watson (cjwatson) wrote :

merges.ubuntu.com instructs you to contact the person who touched the package last (me) *before* starting work, to avoid duplicating effort. You didn't do this - please do so in future.

Daniel Holbach (dholbach) wrote :

Unsubscribing Sponsors for now. Please resubscribe when ready.

Bhavani Shankar (bhavi) wrote :

Sorry colin, Noted down my error

Sorry daniel for the delay..

Attached is the revised diff

Regards

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnu-efi - 3.0i-2ubuntu1

---------------
gnu-efi (3.0i-2ubuntu1) lucid; urgency=low

  * Merge from debian testing. (LP: #488797) Remaining changes:
    - Build with -fno-stack-protector.

gnu-efi (3.0i-2) unstable; urgency=low

  * Disable optimization for x64 builds; it looks very much like there is an
    issue between the call wrapper and optimizations, leading to interesting
    and subtle breakages at runtime.

gnu-efi (3.0i-1) unstable; urgency=low

  * New upstream release.
    + Support for FreeBSD (closes: #535696).

  * debian/control:
    + Make kfreebsd-amd64 a supported architecture.
    + Build-depend on gcc-multilib on kfreebsd-amd64 too.
  * debian/rules:
    + Add support for both kfreebsd-{i386,amd64}.
    + Install FreeBSD x86_64 linker script on kfreebsd-amd64.
    + Do not install ia64-specific headers on i386/amd64, do not install
      i386/amd64-specific headers on ia64.

gnu-efi (3.0h-1) unstable; urgency=low

  * Clean up and recover from a broken NMU.

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).
    + Added myself as uploader.

  * gnuefi/elf_ia32_efi.lds:
    + Fix linker script for elf-i386 (closes: #545202).

gnu-efi (3.0h-0.1) unstable; urgency=low

  * NMU
  * New upstream version.
  * Bump to Standards-Version 3.8.2.
  * Add watch file.
  * Conflict with libc6-i386 (<= 2.9-18). closes: #533003.
 -- Bhavani Shankar <email address hidden> Fri, 08 Jan 2010 13:14:01 +0530

Changed in gnu-efi (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers